Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteCatConnectionInfo

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteCatConnectionInfo

extends java.rmi.Remote

Interface `RemoteCatConnectionInfo` contains DB connection information of a catalog.

Method Summary
`java.lang.String` | `getClassName()` Return the class name of the UDS.
`java.lang.String` | `getDesc()` Return the description of the connection (JDBC Connection, UDS, HDS).
`java.lang.String` | `getJdbcDriver()` Return the jdbc driver of the DB connection.
`java.lang.String` | `getName()` Return the name of the connection (JDBC Connection, UDS, HDS).
`java.lang.String` | `getPassword()` Return the password of the DB connection.
`java.lang.String` | `getRootName()` Return the root name of the HDS.
`java.lang.String` | `getType()` Return the type of the connection (JDBC Connection, UDS, HDS).
`java.lang.String` | `getURIValue()` Return the URI value of the HDS.
`java.lang.String` | `getURL()` Return the URL of the DB connection.
`java.lang.String` | `getUser()` Return the user of the DB connection.
`java.lang.String` | `getXSDValue()` Return the XSD value of the HDS.

Method Detail

### getType

    java.lang.String getType()
                             throws java.rmi.RemoteException

  Return the type of the connection (JDBC Connection, UDS, HDS).

  Returns:
    type of the connection.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getName

    java.lang.String getName()
                             throws java.rmi.RemoteException

  Return the name of the connection (JDBC Connection, UDS, HDS).

  Returns:
    name of the connection.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getDesc

    java.lang.String getDesc()
                             throws java.rmi.RemoteException

  Return the description of the connection (JDBC Connection, UDS, HDS).

  Returns:
    description of the connection.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getURL

    java.lang.String getURL()
                            throws java.rmi.RemoteException

  Return the URL of the DB connection.

  Returns:
    URL of the DB connection.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getJdbcDriver

    java.lang.String getJdbcDriver()
                                   throws java.rmi.RemoteException

  Return the jdbc driver of the DB connection.

  Returns:
    jdbc driver of the DB connection.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getUser

    java.lang.String getUser()
                             throws java.rmi.RemoteException

  Return the user of the DB connection.

  Returns:
    user of the DB connection.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getPassword

    java.lang.String getPassword()
                                 throws java.rmi.RemoteException

  Return the password of the DB connection.

  Returns:
    password of the DB connection.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getClassName

    java.lang.String getClassName()
                                  throws java.rmi.RemoteException

  Return the class name of the UDS.

  Returns:
    class name of the UDS.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getURIValue

    java.lang.String getURIValue()
                                 throws java.rmi.RemoteException

  Return the URI value of the HDS.

  Returns:
    URI value of the HDS.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getXSDValue

    java.lang.String getXSDValue()
                                 throws java.rmi.RemoteException

  Return the XSD value of the HDS.

  Returns:
    XSD value of the HDS.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getRootName

    java.lang.String getRootName()
                                 throws java.rmi.RemoteException

  Return the root name of the HDS.

  Returns:
    root name of the HDS.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD